Summary:	LV2 dynamic parameters extension
Name:		lv2dynparam
Version:	2
Release:	12%{?dist}
License:	GPLv2
Group:		System Environment/Libraries
URL:		http://home.gna.org/lv2dynparam/
Source:		http://download.gna.org/lv2dynparam/lv2dynparam1-2.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	lv2core-devel

%description
lv2dynparam is a LV2 plugin interface extension that enables plugin parameters
to appear and disappear (i.e. number of voices). It also allows nested grouping
of parameters. Groups can be used for things like ADSR abstraction, i.e. group
of 4 float parameters.

The extension should be suitable for all plugins that expose many and/or
complex data types, like samplers, non-trivial synths, etc.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains libraries and header files for developing plugins that
use LV2 dynamic parameters extension.

%prep
%setup -q -n %{name}1-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# Kill .la files
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING NEWS
%{_libdir}/lib%{name}host1.so.*
%{_libdir}/lib%{name}plugin1.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}1
%{_libdir}/lib%{name}host1.so
%{_libdir}/lib%{name}plugin1.so
%{_libdir}/pkgconfig/%{name}host1.pc
%{_libdir}/pkgconfig/%{name}plugin1.pc

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 30 2009 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 2-1
- update to version 2
- prepare package for Fedora review. SPEC file is courtesy of PlanetCCRMA

* Tue Jan 22 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr> - 1-1
- initial build
